<?php

/**

 * @package bmr_calculator

 * @version 1.1

 */

/*

Plugin Name: BMR Calculator

Plugin URI: http://wordpress.org/extend/plugins/bmr_calculator

Description: Use the short code [bmr_calculator] to use this calculator.

Author: Kumar Abhishek

Version: 1.1

Author URI: abhishekfreelancer.com

*/



function bmr_calculator() {

     return '<link rel="stylesheet" href="' . plugins_url() . '/bmr_calculator/css/first.css" type="text/css" />



<div id="envelope" class="envelope">

<center><span style="padding: 0px 10px 30px 10px;" class="calc-title">Calculate Your BMR</span></center>



<form name="Caculator" id="myid">

<div class="field_class first_class">

<span class="cal-label">Age (in years):  </span><input type="text" size="2" name="age" id="age" placeholder="30" value="30" class="cal-label" onchange="calculate()" onfocus="{ this.value = \'\'; }" onblur="if (this.value == \'\') { this.value = \'30\'; }"/>

</div>



<div class="field_class">

<span class="cal-label">Weight (in kgs):  </span><input type="text" size="2" name="weight" id="weight" class="cal-label"  placeholder="70" value="70" onchange="calculate()" onfocus="{ this.value = \'\'; }" onblur="if (this.value == \'\') { this.value = \'70\'; }"/>

<div class="field_class">



</div>



<div class="field_class">

<span class="cal-label">Gender: </span><input type="radio" name="gender" id="genderm" value="m" checked onchange="calculate()"/> Male &nbsp; <input type="radio" name="gender" id="genderf" value="f" onchange="calculate()"/> Female

</div>



<div class="field_class">

<span class="cal-label">Height: </span><select id="heightfeet" name="heightfeet" onchange="calculate()">

			<option value="4" >4</option>

			<option value="5" selected>5</option>

			<option value="6" >6</option>

		</select> feet <select id="heightinch" name="heightinch" onchange="calculate()">

			<option value="0" >0</option>

			<option value="1" >1</option>

			<option value="2" >2</option>

			<option value="3" >3</option>

			<option value="4" >4</option>

			<option value="5" >5</option>

			<option value="6" >6</option>

			<option value="7" >7</option>

			<option value="8">8</option>

			<option value="9">9</option>

			<option value="10" selected>10</option>

			<option value="11" >11</option>

		</select> inches

</form>

</div>



<div class="cm-button-wrapper">

<div class="cm-button jk-bmi-calculate">CALCULATE</div>

</div>



<div id="results" style="max-width: 100%;" align="center">

<form name="results" id="myresults">

Maintain your weight by consuming <input type="text" name="bmr" id="bmr" value="0" STYLE="text-align: center !important; border: 0px solid !important; color: black !important; font-weight:bold !important; background-color: #efefef !important; font-size: 16px !important; width: 60px !important;" disabled/> calories per day

</div>

</form>

</div>

</div>



<script type="text/javascript">

function calculate() {

var age1 = document.Caculator.age.value;

age1 = Number(age1);



var weight1 = document.Caculator.weight.value;

weight1 = Number(weight1);



var heightfeet = document.Caculator.heightfeet.value;

var heightinch = document.Caculator.heightinch.value;

var heightinches = Number(heightfeet)*12 + Number(heightinch);

var heightcenti = heightinches*2.54;



if (document.getElementById("genderm").checked) {

		var bmr = 10*weight1 + 6.25*heightcenti - 5*age1 +5;

		 }

    else {

		var bmr = 10*weight1 + 6.25*heightcenti - 5*age1 -161;

		 }



document.results.bmr.value = bmr.toFixed(1);

}



calculate();

</script>';

}



add_shortcode('bmr_calculator', 'bmr_calculator');

?>